%{?nodejs_find_provides_and_requires}

%global packagename hpack.js
%global enable_tests 1

Name:		nodejs-hpack-dot-js
Version:	2.1.6
Release:	1%{?dist}
Summary:	HPACK implementation

License:	MIT
URL:		https://github.com/indutny/hpack.js
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
HPACK implementation


%prep
%autosetup -n package
sed -n '/## LICENSE/,/##/{/LICENSE/{p;n};/https/{q};p}' README.md > LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.6-1
- Initial packaging
